<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Mon May 11 16:25:08 CEST 2020 -->
<title>Uses of Class thesis.agents</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-11">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class thesis.agents";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../agents.html" title="class in thesis">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class thesis.agents" class="title">Uses of Class<br>thesis.agents</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../agents.html" title="class in thesis">agents</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#thesis">thesis</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="thesis">
<!--   -->
</a>
<h3>Uses of <a href="../agents.html" title="class in thesis">agents</a> in <a href="../package-summary.html">thesis</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../agents.html" title="class in thesis">agents</a> in <a href="../package-summary.html">thesis</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Lease.html" title="class in thesis">Lease</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Occasion.html" title="class in thesis">Occasion</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Private_new.html" title="class in thesis">Private_new</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">thesis</a> with parameters of type <a href="../agents.html" title="class in thesis">agents</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">agents.</span><code><span class="memberNameLink"><a href="../agents.html#get_average(thesis.agents)">get_average</a></span>&#8203;(<a href="../agents.html" title="class in thesis">agents</a>&nbsp;agent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Residence.</span><code><span class="memberNameLink"><a href="../Residence.html#moveIn(thesis.agents)">moveIn</a></span>&#8203;(<a href="../agents.html" title="class in thesis">agents</a>&nbsp;human)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">thesis</a> with parameters of type <a href="../agents.html" title="class in thesis">agents</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Lease.html#%3Cinit%3E(repast.simphony.context.Context,int,int,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean,java.lang.Boolean,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,int,int,float,float,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.util.List,int,int,java.util.List,java.lang.Boolean,repast.simphony.space.grid.GridPoint,double,thesis.agents)">Lease</a></span>&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context,
     int&nbsp;id,
     int&nbsp;age,
     int&nbsp;income,
     java.lang.String&nbsp;education,
     java.lang.String&nbsp;household_composition,
     java.lang.String&nbsp;sex,
     java.lang.String&nbsp;province,
     java.lang.String&nbsp;a_work_situation,
     java.lang.String&nbsp;a_prof_situation,
     java.lang.Boolean&nbsp;a_drivers_license,
     java.lang.Boolean&nbsp;a_has_car,
     java.lang.Boolean&nbsp;a_knowledge_BEV,
     java.lang.String&nbsp;parking_home,
     java.lang.String&nbsp;parking_at_work,
     java.lang.String&nbsp;car_combustion_type,
     int&nbsp;car_age,
     int&nbsp;car_weight,
     float&nbsp;distance_traveled,
     float&nbsp;CO2_emissions_traveled,
     float&nbsp;CO2_emissions_per_km,
     java.lang.String&nbsp;property_type,
     java.lang.String&nbsp;satisfaction_commute,
     java.lang.String&nbsp;reason_to_go_with_car,
     int&nbsp;knowledge_EV,
     int&nbsp;knowledge_environmental,
     int&nbsp;participation_environmental,
     java.util.List&lt;java.lang.String&gt;&nbsp;EV_reason,
     java.lang.String&nbsp;choice_without_f_aid,
     java.lang.String&nbsp;EV_positive_surprise,
     java.lang.String&nbsp;EV_negative_surprise,
     java.lang.String&nbsp;used_shared_car,
     java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_use_shared_car,
     java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_not_use_shared_car,
     java.lang.Boolean&nbsp;priv_loadPole,
     java.lang.String&nbsp;happy_walk,
     java.lang.String&nbsp;batt_suff,
     java.lang.String&nbsp;insuf_batt,
     java.util.List&lt;java.lang.String&gt;&nbsp;overview_facilities_used,
     java.util.List&lt;java.lang.String&gt;&nbsp;pos_elec,
     java.util.List&lt;java.lang.String&gt;&nbsp;neg_elec,
     int&nbsp;EV_happiness,
     int&nbsp;nbr_peop_organisation,
     java.util.List&lt;java.lang.String&gt;&nbsp;work_incentives,
     java.lang.Boolean&nbsp;needs_charging,
     repast.simphony.space.grid.GridPoint&nbsp;home_location,
     double&nbsp;happiness,
     <a href="../agents.html" title="class in thesis">agents</a>&nbsp;agent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Occasion.html#%3Cinit%3E(repast.simphony.context.Context,int,int,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean,java.lang.Boolean,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,int,int,float,float,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.util.List,int,int,java.util.List,java.lang.Boolean,repast.simphony.space.grid.GridPoint,double,thesis.agents)">Occasion</a></span>&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context,
        int&nbsp;id,
        int&nbsp;age,
        int&nbsp;income,
        java.lang.String&nbsp;education,
        java.lang.String&nbsp;household_composition,
        java.lang.String&nbsp;sex,
        java.lang.String&nbsp;province,
        java.lang.String&nbsp;a_work_situation,
        java.lang.String&nbsp;a_prof_situation,
        java.lang.Boolean&nbsp;a_drivers_license,
        java.lang.Boolean&nbsp;a_has_car,
        java.lang.Boolean&nbsp;a_knowledge_BEV,
        java.lang.String&nbsp;parking_home,
        java.lang.String&nbsp;parking_at_work,
        java.lang.String&nbsp;car_combustion_type,
        int&nbsp;car_age,
        int&nbsp;car_weight,
        float&nbsp;distance_traveled,
        float&nbsp;CO2_emissions_traveled,
        float&nbsp;CO2_emissions_per_km,
        java.lang.String&nbsp;property_type,
        java.lang.String&nbsp;satisfaction_commute,
        java.lang.String&nbsp;reason_to_go_with_car,
        int&nbsp;knowledge_EV,
        int&nbsp;knowledge_environmental,
        int&nbsp;participation_environmental,
        java.util.List&lt;java.lang.String&gt;&nbsp;EV_reason,
        java.lang.String&nbsp;choice_without_f_aid,
        java.lang.String&nbsp;EV_positive_surprise,
        java.lang.String&nbsp;EV_negative_surprise,
        java.lang.String&nbsp;used_shared_car,
        java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_use_shared_car,
        java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_not_use_shared_car,
        java.lang.Boolean&nbsp;priv_loadPole,
        java.lang.String&nbsp;happy_walk,
        java.lang.String&nbsp;batt_suff,
        java.lang.String&nbsp;insuf_batt,
        java.util.List&lt;java.lang.String&gt;&nbsp;overview_facilities_used,
        java.util.List&lt;java.lang.String&gt;&nbsp;pos_elec,
        java.util.List&lt;java.lang.String&gt;&nbsp;neg_elec,
        int&nbsp;EV_happiness,
        int&nbsp;nbr_peop_organisation,
        java.util.List&lt;java.lang.String&gt;&nbsp;work_incentives,
        java.lang.Boolean&nbsp;needs_charging,
        repast.simphony.space.grid.GridPoint&nbsp;home_location,
        double&nbsp;happiness,
        <a href="../agents.html" title="class in thesis">agents</a>&nbsp;agent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Private_new.html#%3Cinit%3E(repast.simphony.context.Context,int,int,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean,java.lang.Boolean,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,int,int,float,float,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.util.List,int,int,java.util.List,java.lang.Boolean,repast.simphony.space.grid.GridPoint,double,thesis.agents)">Private_new</a></span>&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context,
           int&nbsp;id,
           int&nbsp;age,
           int&nbsp;income,
           java.lang.String&nbsp;education,
           java.lang.String&nbsp;household_composition,
           java.lang.String&nbsp;sex,
           java.lang.String&nbsp;province,
           java.lang.String&nbsp;a_work_situation,
           java.lang.String&nbsp;a_prof_situation,
           java.lang.Boolean&nbsp;a_drivers_license,
           java.lang.Boolean&nbsp;a_has_car,
           java.lang.Boolean&nbsp;a_knowledge_BEV,
           java.lang.String&nbsp;parking_home,
           java.lang.String&nbsp;parking_at_work,
           java.lang.String&nbsp;car_combustion_type,
           int&nbsp;car_age,
           int&nbsp;car_weight,
           float&nbsp;distance_traveled,
           float&nbsp;CO2_emissions_traveled,
           float&nbsp;CO2_emissions_per_km,
           java.lang.String&nbsp;property_type,
           java.lang.String&nbsp;satisfaction_commute,
           java.lang.String&nbsp;reason_to_go_with_car,
           int&nbsp;knowledge_EV,
           int&nbsp;knowledge_environmental,
           int&nbsp;participation_environmental,
           java.util.List&lt;java.lang.String&gt;&nbsp;EV_reason,
           java.lang.String&nbsp;choice_without_f_aid,
           java.lang.String&nbsp;EV_positive_surprise,
           java.lang.String&nbsp;EV_negative_surprise,
           java.lang.String&nbsp;used_shared_car,
           java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_use_shared_car,
           java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_not_use_shared_car,
           java.lang.Boolean&nbsp;priv_loadPole,
           java.lang.String&nbsp;happy_walk,
           java.lang.String&nbsp;batt_suff,
           java.lang.String&nbsp;insuf_batt,
           java.util.List&lt;java.lang.String&gt;&nbsp;overview_facilities_used,
           java.util.List&lt;java.lang.String&gt;&nbsp;pos_elec,
           java.util.List&lt;java.lang.String&gt;&nbsp;neg_elec,
           int&nbsp;EV_happiness,
           int&nbsp;nbr_peop_organisation,
           java.util.List&lt;java.lang.String&gt;&nbsp;work_incentives,
           java.lang.Boolean&nbsp;needs_charging,
           repast.simphony.space.grid.GridPoint&nbsp;home_location,
           double&nbsp;happiness,
           <a href="../agents.html" title="class in thesis">agents</a>&nbsp;agent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../agents.html" title="class in thesis">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
